Bug 3739 - File names conflict with JDK alternatives
: File names conflict with JDK alternatives
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/gcc-java-common)
: unstable
: all Linux
: P1 major
Assigned To:
:
:
:
:
: 3540
  Show dependency tree
 
Reported: 2004-02-25 14:12 by
Modified: 2005-07-13 15:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-02-25 14:12:43
gcc-java-common устанавливает символьные ссылки:

%_bindir/jar
%_bindir/rmic
%_bindir/rmiregistry

Эти ссылки конфликтуют с управляемыми ссылками, которые устанавливают пакеты с
несвободными JDK.

Решение: 1) присвоить перечисленным ссылкам префикс "gcj-"; 2) отдать управление
альтернативами по ссылкам jdkgcj, который зависит от gcc-java-common и
предоставляет также javac, javah, то есть более наполненную альтернативу для JDK.
------- Comment #1 From 2004-02-25 15:04:01 -------
А не лучше ли объединить эти 2 пакета в один? 
------- Comment #2 From 2004-02-26 00:42:31 -------
> А не лучше ли объединить эти 2 пакета в один?

Мне кажется, нет, поскольку они выполняют разные задачи.
gcc-java-common предоставляет обертку для параллельных инсталляций gcс*-java,
тогда как jdkgcj работает как мостик между gcj и традиционными именами
инструментов JDK (и составляет слабую, но альтернативу настоящим JDK).
Второе нужно не всем. Вдобавок, это разные codebases: jdkgcj разрабатывается в
ArkLinux, а gcc-java-common -- доморощенное.
Проблема только в том, что проект gcj остановился ровно на середине: не
предоставил всю JDK-совместимую линейку инструментов, но покусился на часть из
них. Поэтому, раз уж возникла нужда в jdkgcj, пусть этот пакет и предоставляет
всю JDK-совместимость.
------- Comment #3 From 2004-03-05 00:06:37 -------
Ok, переименование ссылок и альтернативы в jdkgcj необходимо сделать
одновременно, 
верно? Если так, то я доверяю новому maintainer'у пакета jdkgcj. :) 
------- Comment #4 From 2004-03-08 14:32:21 -------
Fixed in gcc-java-common-1.4.2-alt1